Subject: [bug#29841] [PATCH core-updates] gnu: mesa: Update to 17.3.1.

From: Rutger Helling <[email-masked]>
Date: Sun, 24 Dec 2017 18:46:32 +0100

Here's a patch for Mesa for core-updates. 17.3.1 is the first point
release of 17.3.x, so it's stable according to the Mesa developers.

I also added radeonsi to the gallium drivers. I excluded aarch64 and
armhf since I'm not sure if radeonsi is supposed to work on those or
not.
From 1824c1ad2df32770294cbb37b443788fe3ddf266 Mon Sep 17 00:00:00 2001
From: Rutger Helling <[email-masked]>
Date: Sun, 24 Dec 2017 18:34:23 +0100
Subject: [PATCH] gnu: mesa: Update to 17.3.1.

* gnu/packages/gl.scm (mesa): Update to 17.3.1.
[arguments]: Add radeonsi to --with-gallium-drivers (exclude aarch64 and armhf).
---
 gnu/packages/gl.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index 7de2ca51f..6b43eb372 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -221,7 +221,7 @@ also known as DXTn or DXTC) for Mesa.")
 (define-public mesa
   (package
     (name "mesa")
-    (version "17.2.7")
+    (version "17.3.1")
     (source
       (origin
         (method url-fetch)
@@ -233,7 +233,7 @@ also known as DXTn or DXTC) for Mesa.")
                                   version "/mesa-" version ".tar.xz")))
         (sha256
          (base32
-          "0s3slgjxnx482yw0knn4a6alsy2cq28rah6hnjbmf12mvyldxksh"))
+          "1h94m2nkxa1y4n415d5idk2x2lkgbvjcikv6r2r6yn4ak7h0grls"))
         (patches
          (search-patches "mesa-wayland-egl-symbols-check-mips.patch"
                          "mesa-skip-disk-cache-test.patch"))))
@@ -270,6 +270,7 @@ also known as DXTn or DXTC) for Mesa.")
     (native-inputs
       `(("pkg-config" ,pkg-config)
         ("python" ,python-2)
+        ("python2-mako" ,python2-mako)
         ("which" ,(@ (gnu packages base) which))))
     (arguments
      `(#:configure-flags
@@ -281,7 +282,7 @@ also known as DXTn or DXTC) for Mesa.")
               ;; TODO: Fix svga driver for aarch64 and armhf.
               '("--with-gallium-drivers=freedreno,nouveau,r300,r600,swrast,vc4,virgl"))
              (_
-              '("--with-gallium-drivers=i915,nouveau,r300,r600,svga,swrast,virgl")))
+              '("--with-gallium-drivers=i915,nouveau,r300,r600,radeonsi,svga,swrast,virgl")))
          ;; Enable various optional features.  TODO: opencl requires libclc,
          ;; omx requires libomxil-bellagio
          "--with-platforms=x11,drm,wayland,surfaceless"
-- 
2.15.1